Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 4502: Prepar... Closed 06/18/2017

Associated revisions

Revision 43328 - 06/18/2017 08:25 AM - Joaquin del Cerro Murciano

refs #4466. Ahadido soporte para abrir un proyecto o una o0 mas capas como argumentos en la linea de comandos.

Revision 43334 - 06/18/2017 08:28 PM - Joaquin del Cerro Murciano

refs #4466

History

#1 - 06/17/2017 11:35 AM - Joaquin del Cerro Murciano

para windows estan los comandos:

- Assoc

- Ftype

https://superuser.com/questions/406985/programatically-associate-file-extensions-with-application-on-windows

#2 - 06/17/2017 12:08 PM - Joaquin del Cerro Murciano

Para linux estan los comandos:

- xdg-icon-resource

- xdg-mime

Primero hay que registrar el mime-type con algo como:

xdg-mime install gvsig-shp-mime.xml
https://superuser.com/questions/406985/programatically-associate-file-extensions-with-application-on-windows

Donde gvsig-shp-mime.xml serial algo como:

<?xml version="1.0"?>

<mime-info xmIns="http://www.freedesktop.org/standards/shared-mime-info'>
<mime-type type="application/x-shp">
<comment>Shape file</comment>

(3

<glob pattern="*.shp"/>

</mime-type>

</mime-info>

Despues le asociaremos un icono con algo como:

xdg-icon-resource install --mode user --context mimetypes --size 48 gvsig-shp.png application-x-shp

Y por ultimo sociaremos el mime-type con nuestra aplicacion con algo como:

xdg-mime default gvsig-desktop.desktop

https://stackoverflow.com/questions/30931/register-file-extensions-mime-types-in-linux

#3 - 06/18/2017 10:32 PM - Joaquin del Cerro Murciano
- Related to gvSIG feature requests #4502: Preparar gvSIG para que se pueda abrir un proyecto indicandoselo como parametro al arrancar gvSIG
added

#4 - 07/20/2017 10:56 AM - Alvaro Anguix
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#5 - 03/14/2019 04:19 PM - Alvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests

#6 - 01/21/2020 08:05 PM - Alvaro Anguix
- Category set to Application

#7 - 03/04/2020 02:56 PM - Alvaro Anguix
- Target version deleted (2.5.1-3044)
